petsc-3.4.2 2013-07-02

# VecMaxPointwiseDivide

Computes the maximum of the componentwise division max = max_i abs(x_i/y_i).

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecMaxPointwiseDivide(Vec x,Vec y,PetscReal *max)

Logically Collective on Vec

### Input Parameters

x, y -the vectors

### Output Parameter

max -the result

Notes: x and y may be the same vector if a particular y_i is zero, it is treated as 1 in the above formula

### See Also

VecPointwiseDivide(), VecPointwiseMult(), VecPointwiseMax(), VecPointwiseMin(), VecPointwiseMaxAbs()

Level:advanced
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages